"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var getCurrentYear = function getCurrentYear() {
  return new Date().getFullYear().toString();
};

var propTypes = {
  end: _propTypes["default"].string,
  org: _propTypes["default"].string.isRequired,
  start: _propTypes["default"].string
};

var Copyright = function Copyright(_ref) {
  var start = _ref.start,
      _ref$end = _ref.end,
      end = _ref$end === void 0 ? getCurrentYear() : _ref$end,
      org = _ref.org;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, "\xA9 ", start, " ", start && end && '-', " ", end, " ", org);
};

Copyright.propTypes = propTypes;
var _default = Copyright;
exports["default"] = _default;