"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _themeUi = require("theme-ui");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Icon = _interopRequireDefault(require("../../elements/Icon"));

var _Link = _interopRequireDefault(require("../../elements/Link"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/** @jsx jsx */
var CloseIcon = function CloseIcon(_ref) {
  var onClose = _ref.onClose;
  return onClose ? (0, _themeUi.jsx)(_themeUi.Box, {
    sx: {
      position: 'absolute',
      top: '3px',
      right: '3px'
    }
  }, (0, _themeUi.jsx)(_Link["default"], {
    onClick: onClose,
    sx: {
      cursor: 'pointer',
      color: 'inherit'
    }
  }, (0, _themeUi.jsx)(_Icon["default"], {
    name: "x",
    size: "1.5em"
  }))) : null;
};

CloseIcon.propTypes = {
  onClose: _propTypes["default"].func
};
var _default = CloseIcon;
exports["default"] = _default;