/** @jsx jsx */
import { jsx, Input as Base } from 'theme-ui'
import PropTypes from 'prop-types'

const Email = ({ field, ...props }) => (
  <Base
    {...props}
    type="email"
    autocapitalize="off"
    autocorrect="off"
    {...field}
  />
)

Email.propTypes = {
  field: PropTypes.object,
}

export default Email
