/** @jsx jsx */
import { jsx, Input as Base } from 'theme-ui'
import PropTypes from 'prop-types'

const Number = ({ field, ...props }) => (
  <Base {...props} {...field} inputmode="numeric" pattern="[0-9]*" />
)

Number.propTypes = {
  field: PropTypes.object,
}

export default Number
