/** @jsx jsx */
import { jsx, Box } from 'theme-ui'
import PropTypes from 'prop-types'

const Overlay = ({ overlay = true, ...props }) => (
  <Box
    sx={{ variant: overlay ? 'overlays.default' : 'overlays.hidden' }}
    {...props}
  />
)

Overlay.propTypes = {
  overlay: PropTypes.bool,
}

export default Overlay
