import React from 'react'

import { AspectRatio, Heading } from '../../src'

export default {
  title: 'Elements/Aspect Ratio',
  component: AspectRatio,
}

export const Default = () => (
  <div>
    <AspectRatio
      ratio={16 / 9}
      sx={{
        p: 4,
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        bg: 'primary',
      }}
    >
      <Heading>Aspect Ratio</Heading>
    </AspectRatio>
  </div>
)
