import React from 'react'

import { Box, Flex } from '../../src'

export default {
  title: 'Layout/Box',
  component: Box,
}

export const Default = () => (
  <Flex sx={{ flexDirection: ['column', 'row'] }}>
    <Box bg="primary" sx={{ width: ['100%', '50%'] }}>
      Column 1
    </Box>
    <Box sx={{ width: ['100%', '50%'] }}>Column 2</Box>
  </Flex>
)
