import React from 'react'

import { Container, Card, Image, Text } from '../../src'

export default {
  title: 'Layout/Card',
  component: Card,
}

export const Default = () => (
  <Container py={[3, 4]}>
    <Card sx={{ maxWidth: 256 }}>
      <Image src="https://images.unsplash.com/photo-1446776899648-aa78eefe8ed0?ixlib=rb-1.2.1&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&ixid=eyJhcHBfaWQiOjF9" />
      <Text>Hello World</Text>
    </Card>
  </Container>
)
