import React from 'react'

import { Grid, Box } from '../../src'

export default {
  title: 'Layout/Grid',
  component: Grid,
}

export const Width = () => (
  <Grid width={[128, null, 192]}>
    <Box bg="primary">Grid 1</Box>
    <Box bg="muted">Grid 2</Box>
    <Box bg="primary">Grid 3</Box>
    <Box bg="muted">Grid 4</Box>
  </Grid>
)

export const Columns = () => (
  <Grid gap={2} columns={[2, null, 4]}>
    <Box bg="primary">Grid 1</Box>
    <Box bg="muted">Grid 2</Box>
    <Box bg="primary">Grid 3</Box>
    <Box bg="muted">Grid 4</Box>
  </Grid>
)
