import React from 'react'

import { useKeys, Text } from '../../src'

const UseKeysExample = () => {
  const { isEscapePressed } = useKeys()

  if (isEscapePressed) {
    console.log('escape!')
  }

  return <Text>Press Escape, Check Console</Text>
}

export default {
  title: 'Utilities/UseKeys',
  component: UseKeysExample,
}

export const Default = () => <UseKeysExample />
