import React from 'react'
import { addDecorator } from '@storybook/react'

import { ThemeProvider, Container } from '../src'

addDecorator(storyFn => (
  <ThemeProvider>
    <Container py={[3, 4]}>{storyFn()}</Container>
  </ThemeProvider>
))
