# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to
[Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v1.0.0-alpha1] - 2020-03-29 (Pre-release)

### Added:

- ThemeProvider
- Elements
  - Aspect Ratio
  - Button
  - Divider
  - Form
  - Heading
  - Icon
  - Image
  - Link
  - Text
- Layout
  - Article
  - Box
  - Card
  - Container
  - Flex
  - Grid
  - Section
- Modules
  - Layer
  - Popover
- Patterns
  - Copyright
  - MailTo
  - Modal Themes
  - SUL
- Utilities
  - Keyboard
- Storybook
