/** @jsx jsx */
import { jsx, Input as Base } from 'theme-ui'
import PropTypes from 'prop-types'

const Text = ({ field, ...props }) => <Base {...props} {...field} />

Text.propTypes = {
  field: PropTypes.object,
  type: PropTypes.oneOf(['text', 'email', 'tel', 'password']),
}

export default Text
