/** @jsx jsx */
import {
  jsx,
  Image as BaseImage,
  AspectImage as BaseAspectImage,
} from 'theme-ui'
import PropTypes from 'prop-types'

const Image = props =>
  props.ratio ? <BaseAspectImage {...props} /> : <BaseImage {...props} />

Image.propTypes = {
  ratio: PropTypes.number,
}

export default Image
