/** @jsx jsx */
import { jsx, Text as Base } from 'theme-ui'
import PropTypes from 'prop-types'

const Text = ({ as = 'p', ...props }) => <Base as={as} {...props} />

Text.propTypes = {
  as: PropTypes.string,
}

export default Text
