const portalExists = () => {
  const portal = document.querySelector('#LayerPortalNode')
  return document.body.contains(portal)
}

export const createLayerPortalNode = () => {
  if (!portalExists()) {
    const portal = document.createElement('div')
    portal.setAttribute('id', 'LayerPortalNode')
    portal.setAttribute('data-testid', 'LayerPortalNode')
    document.body.appendChild(portal)
  }
}
