import React from 'react'

import { Text, ThemeProvider } from '../src'

export default {
  title: 'ThemeProvider',
  component: ThemeProvider,
}

const customTheme = {
  colors: {
    background: 'blue',
    text: 'white',
  },
}

export const Default = () => (
  <ThemeProvider theme={customTheme}>
    <Text>Hello World</Text>
  </ThemeProvider>
)
